Get an energy project
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| projectId | The identifier for the energy project to retrieve | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
EnergyProjectResponse
| Property | Description | Type | ||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| costSavings | CostSavingsChild | |||||||||||||||||||||||||
|
CostSavingsChild properties
|
||||||||||||||||||||||||||
| energyProjectCode | The energy project code | string | ||||||||||||||||||||||||
| energyProjectId | The energy project identifier | integer (int32) | ||||||||||||||||||||||||
| energyProjectInfo | The energy project info | string | ||||||||||||||||||||||||
| energyProjectType | EnergyProjectType | |||||||||||||||||||||||||
|
EnergyProjectType properties
|
||||||||||||||||||||||||||
| energySavings | EnergySavingsChild | |||||||||||||||||||||||||
|
EnergySavingsChild properties
|
||||||||||||||||||||||||||
| fundingSource | The funding source of the project | string | ||||||||||||||||||||||||
| installationBeginDate | The energy project installation begin date | string (date-time) | ||||||||||||||||||||||||
| installationCost | The energy project installation cost | number (double) | ||||||||||||||||||||||||
| installationEndDate | The energy project installation end date | string (date-time) | ||||||||||||||||||||||||
| note | The miscellaneous note about the project | string | ||||||||||||||||||||||||
| place | EnergyProjectPlaceChild | |||||||||||||||||||||||||
|
EnergyProjectPlaceChild properties
|
||||||||||||||||||||||||||
| projectManager | The project manager of the energy project | string | ||||||||||||||||||||||||
| utilityRebate | The rebate amount of energy project | number (double) | ||||||||||||||||||||||||
Example Response
{ "costSavings": { "costSavings": 1.0, "costSavingsUnit": { "costSavingsUnitCode": "string", "costSavingsUnitId": 1, "costSavingsUnitInfo": "string"
}
}, "energyProjectCode": "string", "energyProjectId": 1, "energyProjectInfo": "string", "energyProjectType": { "energyProjectTypeCode": "string", "energyProjectTypeId": 1, "energyProjectTypeInfo": "string"
}, "energySavings": { "energySavings": 1.0, "energySavingsUnit": { "energySavingsUnitCode": "string", "energySavingsUnitId": 1, "energySavingsUnitInfo": "string"
}
}, "fundingSource": "string", "installationBeginDate": "2026-03-30", "installationCost": 1.0, "installationEndDate": "2026-03-30", "note": "string", "place": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string"
}, "projectManager": "string", "utilityRebate": 1.0
}